package com.sd.business.entity.in.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 出入库详情表
 * </p>
 *
 * @author 
 * @since 2023-07-25
 */
@Getter
@Setter
@TableName("in_out_storage_details")
public class InOutStorageDetails extends BasePo {

    /**
     * 出入库id
     */
    private Long inOutStorageId;

    /**
     * 类型:1入库 0出库
     */
    private Long type;

    /**
     * 库存id
     */
    private Long departmentId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 入库金额
     */
    private BigDecimal inSumPrice;

    /**
     * 入库单价
     */
    private BigDecimal inUnitPrice;

    /**
     * 入库数量
     */
    private BigDecimal quantity;

}
