package com.sd.business.entity.production.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

@Getter
@Setter
public class ProductionOrderDetailVo {

    private List<SkuSpec> skuSpecList;

    private List<OrderPackage> packageList;


    @Getter
    @Setter
    public static class SkuSpec {

        private Long skuSpecId;

        private String skuSpecCode;

        private String skuSpecName;

        private BigDecimal quantity;

    }

    @Getter
    @Setter
    public static class OrderPackage {

        private Long bomSpecId;

        private String bomSpecCode;

        private String bomSpecName;

        private BigDecimal quantity;

        private BigDecimal costPrice;

        private BigDecimal internalSellingPrice;

    }

}
